Subject: [CGA-EXT] Applicability of draft-ietf-csi-proxy-send

From: Erik Nordmark <[email-masked]>
Date: Thu, 10 Dec 2009 08:09:14 -0800

The document lists three applicable scenarios, and I don't understand 
how the ND Proxy (RFC 4389) fits with the proposed solution.

My understanding of the usage model for RFC 4389 is that the hosts need 
not be modified, nor have any specific configuration, to work with 4389 
proxies.

However, csi-proxy-send not only requires that all the SeND hosts be 
modified, it also makes them aware of the 4389 proxy. If we are going to 
make host modifications and have the hosts be aware of the proxy, then 
we can do something more robust than 4389. The desirable feature of 4389 
was to be transparent to the hosts and routers.

The other scenarios are quite different. For instance a Mobile IPv6 host 
is well aware that the home agent is a proxy on its behalf.

    Erik